Show / Hide Table of Contents

# Struct StbUndoRecordPtr

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: ImGuiNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public struct StbUndoRecordPtr

### Constructors

| Improve this Doc View Source

#### StbUndoRecordPtr(StbUndoRecord*)

##### Declaration

    public StbUndoRecordPtr(StbUndoRecord*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
StbUndoRecord* | nativePtr |

| Improve this Doc View Source

#### StbUndoRecordPtr(IntPtr)

##### Declaration

    public StbUndoRecordPtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

### Properties

| Improve this Doc View Source

#### char_storage

##### Declaration

    public int char_storage { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### delete_length

##### Declaration

    public int delete_length { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### insert_length

##### Declaration

    public int insert_length { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### NativePtr

##### Declaration

    public StbUndoRecord*NativePtr { get; }

##### Property Value

Type | Description
--- | ---
StbUndoRecord* |

| Improve this Doc View Source

#### where

##### Declaration

    public int where { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

### Operators

| Improve this Doc View Source

#### Implicit(StbUndoRecord* to StbUndoRecordPtr)

##### Declaration

    public static implicit operator StbUndoRecordPtr(StbUndoRecord*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
StbUndoRecord* | nativePtr |

##### Returns

Type | Description
--- | ---
StbUndoRecordPtr |

| Improve this Doc View Source

#### Implicit(StbUndoRecordPtr to StbUndoRecord*)

##### Declaration

    public static implicit operator StbUndoRecord*(StbUndoRecordPtr wrappedPtr)

##### Parameters

Type | Name | Description
--- | --- | ---
StbUndoRecordPtr | wrappedPtr |

##### Returns

Type | Description
--- | ---
StbUndoRecord* |

| Improve this Doc View Source

#### Implicit(IntPtr to StbUndoRecordPtr)

##### Declaration

    public static implicit operator StbUndoRecordPtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

##### Returns

Type | Description
--- | ---
StbUndoRecordPtr |